com.pixelmed.dicom

## Class DicomDictionary

- java.lang.Object
- - com.pixelmed.dicom.DicomDictionaryBase
  - - com.pixelmed.dicom.DicomDictionary

Direct Known Subclasses:
  DicomDictionaryForMinimalPatientStudySeriesInstanceModel, DicomDictionaryForPatientStudySeriesConcatenationInstanceModel, DicomDictionaryForStudySeriesInstanceModel

    public class DicomDictionary
    extends DicomDictionaryBase

The `DicomDictionary` class is a complete standard dictionary of DICOM attributes and associated information.

The accessor methods that an application would normally use are defined in the `DicomDictionaryBase` class.

### Field Summary

### Fields inherited from class com.pixelmed.dicom.DicomDictionaryBase

`fullNameByTag, informationEntityByTag, nameByTag, tagByName, tagList, valueRepresentationsByTag`

### Constructor Summary

Constructors
Constructor and Description
`DicomDictionary()`

### Method Summary

Methods
`protected void` `createFullNameByTag()` Concrete sub-classes implement this method to create a map of attribute full names from tags for each tag in the dictionary.
`protected void` `createInformationEntityByTag()` Concrete sub-classes implement this method to create a map of information entities for each tag in the dictionary.
`protected void` `createNameByTag()` Concrete sub-classes implement this method to create a map of attribute names from tags for each tag in the dictionary.
`protected void` `createTagByName()` Concrete sub-classes implement this method to create a map of tags from attribute names for each tag in the dictionary.
`protected void` `createTagList()` Concrete sub-classes implement this method to create a list of all tags in the dictionary.
`protected void` `createValueRepresentationsByTag()` Concrete sub-classes implement this method to create a map of value representations for each tag in the dictionary.

### Methods inherited from class com.pixelmed.dicom.DicomDictionaryBase

`getFullNameFromTag, getInformationEntityFromTag, getNameFromTag, getTagFromName, getTagIterator, getValueRepresentationFromTag, main`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DicomDictionary

    public DicomDictionary()

### Method Detail

#### createTagList

    protected void createTagList()

Description copied from class: `DicomDictionaryBase`

Concrete sub-classes implement this method to create a list of all tags in the dictionary.

Specified by:
  `createTagList` in class `DicomDictionaryBase`

#### createValueRepresentationsByTag

    protected void createValueRepresentationsByTag()

Description copied from class: `DicomDictionaryBase`

Concrete sub-classes implement this method to create a map of value representations for each tag in the dictionary.

Specified by:
  `createValueRepresentationsByTag` in class `DicomDictionaryBase`

#### createInformationEntityByTag

    protected void createInformationEntityByTag()

Description copied from class: `DicomDictionaryBase`

Concrete sub-classes implement this method to create a map of information entities for each tag in the dictionary.

Specified by:
  `createInformationEntityByTag` in class `DicomDictionaryBase`

#### createTagByName

    protected void createTagByName()

Description copied from class: `DicomDictionaryBase`

Concrete sub-classes implement this method to create a map of tags from attribute names for each tag in the dictionary.

Specified by:
  `createTagByName` in class `DicomDictionaryBase`

#### createNameByTag

    protected void createNameByTag()

Description copied from class: `DicomDictionaryBase`

Concrete sub-classes implement this method to create a map of attribute names from tags for each tag in the dictionary.

Specified by:
  `createNameByTag` in class `DicomDictionaryBase`

#### createFullNameByTag

    protected void createFullNameByTag()

Description copied from class: `DicomDictionaryBase`

Concrete sub-classes implement this method to create a map of attribute full names from tags for each tag in the dictionary.

Specified by:
  `createFullNameByTag` in class `DicomDictionaryBase`